update-customer-identifiers

Request Body Parameters

[!NOTE]
When CONF_IDENTIFIERS_SYNC_ENABLED is enabled and you update a mobile number, the system checks if the new number already exists in another profile. If it does, the update fails and the external system is not updated. You will receive an error response indicating that the mobile number is already in use.

ParameterDatatypeDescription
identifier*enumPass the identifier name that you want to update. Value: mobile, email, external_id.
old_value*stringProvide the existing value the identifier that you want to update. Note: For mobile numbers, add the mobile number with the country code.
new_value*stringProvide the new value of the identifier.

Response Parameters

ParameterDatatypeDescription
identifier*enumName of the identifier.
old_value*stringEarlier value of the identifier.
new_value*stringNew identifier value.
updatedbooleanReturns true if the the identifier is updated successfully.